# Gamuform

Plugin pour générer des formulaires et des vues via gamutable semi automatiquement.
Il suffit de déclarer 2 globals (dans cette exemple pour l'objet auteur)

```php
$GLOBALS['gamuform_objets'] =  [ 'auteur' => 'Auteurs'];


// Génération des saisies pour le formulaire, mais egalement des colonnes pour le gamutable (options/nom et options/libelle)
$GLOBALS['gamuform_auteur'] =  [
	[
		'saisie'  => 'input',
		'options' => array(
			'nom'         => 'nom',
			'libelle'     => 'Nom',
			'label'       => 'Votre Nom',
			'obligatoire' => 'oui',
			//'fonction' => 'ma_super_fonction'
			//'modifier' => 'ma_super_fonction_pour_modifier'
		)
	],
	[
		'saisie'  => 'input',
		'options' => array(
			'nom'         => 'bio',
			'libelle'     => 'Biographie',
			'label'       => 'Votre BIO',
			'obligatoire' => 'oui',
			//'fonction'  => 'ma_super_fonction'
		)
	],
	[
		'saisie'  => 'input',
		'options' => array(
			'nom'     => 'nom_site',
			'libelle' => 'Site Internet',
			'label'   => 'Votre site perso',
		)
	]
];
```

Ensuite, il suffit d'appeler cette page , en paramettre le nom de l'objet voulu:
> spip.php?page=voir_gamuform&objet=auteur

